import { danger, message } from 'danger';
import fs from 'fs';

export default async () => {
  if (!danger.github) {
    return;
  }  
  const jsonModifiedFiles = danger.git.modified_files.filter(
    path => path && path.startsWith('tracks') && path.endsWith('json'),
  );  

  // Be careful of leaving testing shortcuts in the codebase
  jsonModifiedFiles.forEach(file => {
    const content = fs.readFileSync('../' + file).toString();
    try { 
      JSON.parse(content)
      message('json files are valid')
    } catch (e) { 
      fail(`The file ${file} is not valid json \n ${e}`);
    }
    
  });

};
