const request = require('request');
const fs = require('fs-extra');

async function get(url, options) {
  return new Promise((resolve, reject) => {
    request({ url, ...options, method: 'GET' }, (error, response, body) => {
      if (error) return reject(error);

      return resolve({ body, response });
    });
  });
}

async function post(url, data) {
  console.log({ url, method: 'POST', ...data });
  return new Promise((resolve, reject) => {
    request({ url, method: 'POST', ...data }, (error, response, body) => {
      if (error) return reject(error);

      return resolve({ body, response });
    });
  });
}

function download(url, filePath) {
  console.log(url);
  console.log(filePath);
  return request({
    method: 'GET',
    uri: url,
    encoding: null,
  }).pipe(fs.createWriteStream(filePath));
}

module.exports = {
  get,
  post,
  download,
};
